---
title: RsaHashedImportParams
slug: Web/API/RsaHashedImportParams
tags:
  - API
  - Dictionary
  - Reference
  - RsaHashedImportParams
  - Web Crypto API
---
<div>{{ APIRef("Web Crypto API") }}</div>

<p>The <strong><code>RsaHashedImportParams</code></strong> dictionary of the <a href="/en-US/docs/Web/API/Web_Crypto_API">Web Crypto API </a>represents the object that should be passed as the <code>algorithm</code> parameter into {{domxref("SubtleCrypto.importKey()")}} or {{domxref("SubtleCrypto.unwrapKey()")}}, when importing any RSA-based key pair: that is, when the algorithm is identified as any of <a href="/en-US/docs/Web/API/SubtleCrypto/sign#RSASSA-PKCS1-v1_5">RSASSA-PKCS1-v1_5</a>, <a href="/en-US/docs/Web/API/SubtleCrypto/sign#RSA-PSS">RSA-PSS</a>, or <a href="/en-US/docs/Web/API/SubtleCrypto/encrypt#RSA-OAEP">RSA-OAEP</a>.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt><code>name</code></dt>
 <dd>A {{domxref("DOMString")}}. This should be set to <code>RSASSA-PKCS1-v1_5</code>, <code>RSA-PSS</code>, or <code>RSA-OAEP</code>, depending on the algorithm you want to use.</dd>
 <dt><code>hash</code></dt>
 <dd>
 <p>A {{domxref("DOMString")}} representing the name of the <a href="/en-US/docs/Web/API/Web_Crypto_API/Supported_algorithms#Digest_algorithms">digest function</a> to use. This can be one of <code>SHA-256</code>, <code>SHA-384</code>, or <code>SHA-512</code>.</p>

 <div class="notecard warning">
 <p><strong>Warning</strong>: Although you can technically pass <code>SHA-1</code> here, this is strongly discouraged as it is considered vulnerable.</p>
 </div>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>See the examples for {{domxref("SubtleCrypto.importKey()")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('Web Crypto API', '#dfn-RsaHashedImportParams', 'SubtleCrypto.RsaHashedImportParams') }}</td>
   <td>{{ Spec2('Web Crypto API') }}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>Browsers that support any RSA-based algorithm for the {{domxref("SubtleCrypto.importKey()")}} or {{domxref("SubtleCrypto.unwrapKey()")}} methods will support this type.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("SubtleCrypto.importKey()")}}.</li>
 <li>{{domxref("SubtleCrypto.unwrapKey()")}}.</li>
</ul>
